/**
 * Created by aheadware
 */

"use strict";

var app = app || {};
app.core = app.core || {};

/**
 *
 * Dependencies:
 * https://github.com/marcuswestin/store.js
 */
app.core.Cache = (function(){

    return {
        init : function()
        {

        }
        ,
        get : function( key )
        {
            return store.get( key );
        }
        ,
        getAll : function()
        {
            return store.getAll();
        }
        ,
        isAvailable : function()
        {
            return store.enabled;
        }
        ,
        set : function( key, value )
        {
            store.set( key, value );
        }
        ,
        remove : function( key )
        {
            store.remove( key );
        }
        ,
        clearAll : function()
        {
            store.clearAll();
        }
    };

})();